Routing Journal (doms)
Endpoints to read the journal entries recorded for a routing process.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Returns a paginated list of routing journal entries filtered by processRef.
25Example: 25Successfully retrieved the routing journal entries.
RoutingJournals
Total number of found entities for this query
42Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/routing/journals HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"routingJournals": [
{
"blacklistedFacilityData": [
{
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"changeType": "INITIAL",
"created": "2026-01-01T00:00:00.000Z",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"rerouteDescriptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"routingPlanRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"runId": "text",
"sourcingOptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"total": 42
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single routingJournal using its unique identifier.
Successfully retrieved the routingJournal.
RoutingJournal
Type of change recorded in this routing journal entry
Creation date of this routing journal entry
Unique identifier of this routing journal entry
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the associated order
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the associated process
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference to the reroute description associated with this routing journal entry
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReferences to the routing plans associated with this journal entry
["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]The technical id for a sourcing option evaluation
Reference to the sourcing option used for routing
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/routing/journals/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"blacklistedFacilityData": [
{
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}
],
"changeType": "INITIAL",
"created": "2026-01-01T00:00:00.000Z",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"rerouteDescriptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"routingPlanRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"runId": "text",
"sourcingOptionRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
}Last updated
Was this helpful?

